<?php

namespace Modules\Target\Interfaces;

use Modules\Target\Models\Target;

interface TargetRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Target;
    public function update(array $request, Target $target): Target;
    public function destroy(Target $target): void;
    public function destroyAll(array $ids): void;
    public function restore(Target $target): void;
    public function restoreAll(array $ids): void;
}